pcl::octree Namespace Reference

## Classes

class | BufferedBranchNode
class | ColorCoding
| ColorCoding class More...
struct | IteratorState
class | Octree2BufBase
| Octree double buffer class More...
class | OctreeBase
| Octree class. More...
class | OctreeBranchNode
| Abstract octree branch class More...
class | OctreeBreadthFirstIterator
| Octree iterator class More...
class | OctreeContainerBase
| Octree container class that can serve as a base to construct own leaf node container classes. More...
class | OctreeContainerEmpty
| Octree container class that does not store any information. More...
class | OctreeContainerPointIndex
| Octree container class that does store a single point index. More...
class | OctreeContainerPointIndices
| Octree container class that does store a vector of point indices. More...
class | OctreeDepthFirstIterator
| Octree iterator class More...
class | OctreeIteratorBase
| Abstract octree iterator class More...
class | OctreeKey
| Octree key class More...
class | OctreeLeafNode
| Abstract octree leaf class More...
class | OctreeLeafNodeIterator
| Octree leaf node iterator class. More...
class | OctreeNode
| Abstract octree node class More...
class | OctreeNodePool
| Octree node pool More...
class | OctreePointCloud
| Octree pointcloud class More...
class | OctreePointCloudAdjacency
| Octree pointcloud voxel class which maintains adjacency information for its voxels. More...
class | OctreePointCloudAdjacencyContainer
| Octree adjacency leaf container class- stores a list of pointers to neighbors, number of points added, and a DataT value More...
class | OctreePointCloudChangeDetector
| Octree pointcloud change detector class More...
class | OctreePointCloudDensity
| Octree pointcloud density class More...
class | OctreePointCloudDensityContainer
| Octree pointcloud density leaf node class More...
class | OctreePointCloudOccupancy
| Octree pointcloud occupancy class More...
class | OctreePointCloudPointVector
| Octree pointcloud point vector class More...
class | OctreePointCloudSearch
| Octree pointcloud search class More...
class | OctreePointCloudSinglePoint
| Octree pointcloud single point class More...
class | OctreePointCloudVoxelCentroid
| Octree pointcloud voxel centroid class More...
class | OctreePointCloudVoxelCentroidContainer
| Octree pointcloud voxel centroid leaf node class More...
class | PointCoding
| PointCoding class More...

## Enumerations

enum | node_type_t { BRANCH_NODE, LEAF_NODE }

## Enumeration Type Documentation

## node_type_t

enum pcl::octree::node_type_t

Enumerator
BRANCH_NODE |
LEAF_NODE |

Definition at line 58 of file octree_nodes.h.